e4j's Blog news about the Joomla!® world and the Vik extensions

Joomla 3.9.3 Update problem

The update of March 2019 for the new Joomla 3.9.4 release introduced a minor modification that could impact all the Vik extensions. The CSS framework of Joomla was modified, and this change made the classic "Yes/No" buttons stop working.

The screen shot below shows what are the "Yes/No" buttons:

 

 

 

 

If those buttons are no longer working, then it's necessary to install the patch to the latest version of Vik extension. Of course this requires to be using the latest version available of the component, or applying the patch would not work.

Even updating the component to the latest version would solve the problem, but older versions of the Vik extensions could not be made compatible with the latest Joomla v3.9.4 (or later).

If you don't want to upgrade to the latest version or install the patch, then the only solution is to downgrade to Joomla 3.9.3 or previous, but the latest Joomla version is always recommended, especially because it may contain security fixes.

How to apply the patch to resolve the conflict

Make sure to have installed and enabled the free plugin Vik Updater. If you don't have it, you can download it from the Free Area section of this website

Visit the following "hidden" link of your website to trigger the function to apply the latest patch (make sure to replace "yourwebsite.com" with your actual domain name":

http://yourwebsite.com/administrator/index.php?option=com_vikXXXXX&task=updateprogram

The example link above contains "XXXXX", which needs to be replaced with the full name of your component ("vikrentcar", "vikbooking", "vikevents", "vikrestaurants", "vikappointments", "vikrentitems"...).

If the plugin Vik Updater is correctly installed and enabled, you will see a blue button called "Download & Re-install". Click on it to install and apply the latest patch available.

The following extensions and versions are affected by this change introduced with Joomla 3.9.4:

  • Vik Booking 1.11.1 (or older)
  • Vik Rent Car 1.12 (or older)
  • Vik Events 1.10 (or older)
  • Vik Rent Items 1.6 (or older)

Do you work also with WordPress?

Did you know that some of our Joomla extensions are also available as plugins for WordPress?

Please visit our dedicated marketplace VikWP.com for more details!

Visit vikwp.com

Extensionsforjoomla.com is not affiliated with or endorsed by the Joomla!® Project or Open Source Matters.
The Joomla!® name and logo is used under a limited license granted by Open Source Matters the trademark holder in the United States and other countries.
E4J s.r.l. - VAT N. 06794860483

This site uses cookies. By continuing to browse you accept their use. Further information